Bug 1292013 - Firstboot : Unhandled Exception Message when you try to register the system via proxy
Firstboot : Unhandled Exception Message when you try to register the system v...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
high Severity urgent
: rc
: ---
Assigned To: Chris Snyder
John Sefler
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 03:24 EST by Shwetha Kallesh
Modified: 2016-05-10 16:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 16:38:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception thrown when proxy is configured (119.95 KB, image/png)
2015-12-16 03:24 EST, Shwetha Kallesh
no flags Details

  None (edit)
Description Shwetha Kallesh 2015-12-16 03:24:38 EST
Created attachment 1106319 [details]
Exception thrown when proxy is configured

Description of problem:
Unhandled expection message is thrown when tried to register thro proxy

Version-Release number of selected component (if applicable):
[root@dell-pe1850-04 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.10-1
subscription management rules: 5.19
subscription-manager: 1.16.6-1.el6
python-rhsm: 1.16.4-1.el6

How reproducible:


Steps to Reproduce:
a) launch firstboot 
b) welcome Page(click on Forward Button)
c) License page (Select "Yes I agree" and click on forward button)
d) Setup Software updates page (Select "Yes I would like to register" and click on Forward) 
e) Choose Service Page (Select "Redhat Subscription Management service and     click on Proxy Setup button)   

f) Proxy Configuration Dialogue opens , Select "I would Like to use http proxy checkbox"
g) Enter The proxy details and close
h) Click on Forward button



Actual results:
An expection is thrown
P.S : Attachment

Expected results:

Should take you to Page where you are supposed to enter details of the server you wish to register

Additional info:
Comment 6 Chris Snyder 2016-01-18 13:18:35 EST
This will be added to the next build of subscription manager. It will be added back to the errata after that build is completed.
Comment 8 Shwetha Kallesh 2016-01-20 05:58:01 EST
Moving bug to verified as system was successfully registered when you try to register the system thro proxy on firstboot , 

[root@hp-dl320egen8-01 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.14-1
subscription management rules: 5.15.1
subscription-manager: 1.16.8-1.el6
python-rhsm: 1.16.6-1.el6


[root@hp-dl320egen8-01 ~]# firstboot
Loading /lib/kbd/keymaps/i386/qwerty/us.map.gz

[root@hp-dl320egen8-01 ~]# subscription-manager identity
system identity: a4435b04-98d9-49f1-87f4-467a3077f79e
name: hp-dl320egen8-01.rhts.eng.bos.redhat.com
org name: Quality Assurance
org ID: 711497



2016-01-20 05:52:28,870 [DEBUG] firstboot:56810 @plugins.py:769 - Running update_content_hook in container_content.ContainerContentPlugin
2016-01-20 05:52:28,870 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x7f3c6829b350>
2016-01-20 05:52:28,871 [INFO] firstboot:56810 @container_content.py:43 - Updating container content.
2016-01-20 05:52:28,871 [INFO] firstboot:56810 @container_content.py:45 - registry hostnames = registry.access.redhat.com,cdn.redhat.com,access.redhat.com
2016-01-20 05:52:28,871 [DEBUG] firstboot:56810 @__init__.py:85 - Searching for content of type: containerimage
2016-01-20 05:52:28,871 [DEBUG] firstboot:56810 @container.py:53 - Got content_sets: []
2016-01-20 05:52:28,871 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/registry.access.redhat.com
2016-01-20 05:52:28,873 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/cdn.redhat.com
2016-01-20 05:52:28,873 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/access.redhat.com
2016-01-20 05:52:28,874 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.factlib.FactsActionInvoker object at 0x7f3c68294e90>
2016-01-20 05:52:28,878 [DEBUG] firstboot:56810 @hwprobe.py:577 - cpu info: {'cpu.cpu(s)': 8, 'cpu.core(s)_per_socket': 4, 'cpu.thread(s)_per_core': 2, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 1}
2016-01-20 05:52:28,892 [DEBUG] firstboot:56810 @hwprobe.py:795 - Running 'virt-what'
2016-01-20 05:52:28,921 [DEBUG] firstboot:56810 @hwprobe.py:799 - virt-what stdout: 
2016-01-20 05:52:28,921 [DEBUG] firstboot:56810 @hwprobe.py:800 - virt-what stderr: 
2016-01-20 05:52:28,932 [INFO] firstboot:56810 @hwprobe.py:878 - collected virt facts: virt.is_guest=False, virt.host_type=Not Applicable, virt.uuid=Not Set
2016-01-20 05:52:28,933 [DEBUG] firstboot:56810 @factlib.py:105 - Facts have not changed, skipping upload.
2016-01-20 05:52:28,933 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.packageprofilelib.PackageProfileActionInvoker object at 0x7f3c68294e10>
2016-01-20 05:52:28,934 [DEBUG] firstboot:56810 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/packages/packages.json
2016-01-20 05:52:28,934 [DEBUG] firstboot:56810 @profile.py:84 - Loading RPM profile from file.
2016-01-20 05:52:29,191 [DEBUG] firstboot:56810 @cache.py:171 - No changes.
2016-01-20 05:52:29,192 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x7f3c68294dd0>
2016-01-20 05:52:29,192 [DEBUG] firstboot:56810 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-01-20 05:52:29,192 [DEBUG] firstboot:56810 @cache.py:171 - No changes.
2016-01-20 05:52:29,194 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:52:29,194 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:52:29,194 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/entitlements/dry-run?service_level=Self-Support
2016-01-20 05:52:31,759 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=b62ff922-3b8d-43df-af18-ebf7d5c388ee
2016-01-20 05:52:31,761 [DEBUG] firstboot:56810 @autobind.py:57 - Autobind would give access to: set(['SER0412', '201', '205', '303', '180', '240', '69', '167'])
2016-01-20 05:52:31,761 [DEBUG] firstboot:56810 @autobind.py:59 - Found valid service level: Self-Support
2016-01-20 05:52:31,762 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:52:31,763 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:52:31,763 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/entitlements/dry-run?service_level=Standard
2016-01-20 05:52:33,328 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=0efcb2d3-6ebf-4715-8a18-1c9505133f95
2016-01-20 05:52:33,330 [DEBUG] firstboot:56810 @autobind.py:57 - Autobind would give access to: set(['201', 'MCT2970', '271', '301', '183', '180', '240', '185', '69', '225', '224', '223', '222'])
2016-01-20 05:52:33,330 [DEBUG] firstboot:56810 @autobind.py:59 - Found valid service level: Standard
2016-01-20 05:52:33,330 [DEBUG] firstboot:56810 @registergui.py:1167 - <rhsm.certificate2.ProductCertificate object at 0x3978d50>
2016-01-20 05:53:15,225 [INFO]  @subscriptionmanager.py:136 - Sending domain info: [
    {
        "guestId": "07e64312-77d4-d4d9-59ec-ca7575d18c85", 
        "state": 5, 
        "attributes": {
            "active": 0, 
            "hypervisorVersion": "0.12.1", 
            "virtWhoType": "libvirt", 
            "hypervisorType": "QEMU"
        }
    }, 
    {
        "guestId": "ffbda61f-e3f1-ff95-c9d9-7a2a89bfb77a", 
        "state": 1, 
        "attributes": {
            "active": 1, 
            "hypervisorVersion": "0.12.1", 
            "virtWhoType": "libvirt", 
            "hypervisorType": "QEMU"
        }
    }
]
2016-01-20 05:53:18,985 [INFO]  @virtwho.py:250 - virt-who guest list update successful
2016-01-20 05:55:03,880 [DEBUG] firstboot:56810 @registergui.py:1869 - Saving selected service level for this system.
2016-01-20 05:55:03,884 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:03,884 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:03,884 [DEBUG] firstboot:56810 @connection.py:557 - Making request: PUT https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e
2016-01-20 05:55:04,540 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=204, requestUuid=c3f5a49f-5574-44bf-84d1-d99fc2b0ed8e
2016-01-20 05:55:04,540 [INFO] firstboot:56810 @registergui.py:1875 - Binding to subscriptions at service level: Standard
2016-01-20 05:55:04,540 [DEBUG] firstboot:56810 @registergui.py:1880 -   pool 8a85f9814b2733ab014b283e915823bf quantity 1
2016-01-20 05:55:04,541 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:04,541 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:04,541 [DEBUG] firstboot:56810 @connection.py:557 - Making request: POST https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/entitlements?pool=8a85f9814b2733ab014b283e915823bf&quantity=1
2016-01-20 05:55:21,389 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=14604650-b140-4f10-ae1f-d1052e1c97b3
2016-01-20 05:55:21,392 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:21,393 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:21,393 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/certificates/serials
2016-01-20 05:55:22,105 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=4972480b-cb32-4c36-8228-6668458223a0
2016-01-20 05:55:22,106 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:22,106 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:22,107 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/certificates?serials=2204982093088142050
2016-01-20 05:55:22,920 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=aa8659d2-8dfc-4373-aeb4-140f5440fae1
2016-01-20 05:55:22,921 [DEBUG] firstboot:56810 @entcertlib.py:351 - Ent cert bundle pre_install
2016-01-20 05:55:22,926 [DEBUG] firstboot:56810 @entcertlib.py:373 - ent cert bundle post_install
2016-01-20 05:55:22,926 [DEBUG] firstboot:56810 @entcertlib.py:305 - cert bundles post_install: <rhsm.certificate2.EntitlementCertificate object at 0x7f3c6851e590>
2016-01-20 05:55:22,926 [INFO] firstboot:56810 @entcertlib.py:131 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [2204982093088142050]
Added (new)
  [sn:2204982093088142050 (Oracle Java (for RHEL Server),) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat JBoss A-MQ Clients,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (JBoss Enterprise Application Platform,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (JBoss Enterprise Web Server,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat Beta,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat OpenShift Enterprise Application Node Beta,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat OpenShift Enterprise Infrastructure Beta,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat OpenShift Enterprise JBoss EAP add-on Beta,) @ /etc/pki/entitlement/2204982093088142050.pem]
  [sn:2204982093088142050 (Red Hat OpenShift Enterprise Client Tools Beta,) @ /etc/pki/entitlement/2204982093088142050.pem]
Deleted (rogue):
  <NONE>
2016-01-20 05:55:22,927 [DEBUG] firstboot:56810 @entcertlib.py:173 - entcerlibaction.repo_hook
2016-01-20 05:55:22,927 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x7f3c68294dd0>
2016-01-20 05:55:22,935 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:22,935 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:22,935 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/content_overrides
2016-01-20 05:55:23,042 [DEBUG] subscription-manager-gui:11482 @certdirectory.py:216 - Installed product IDs: ['69']
2016-01-20 05:55:23,043 [DEBUG] subscription-manager-gui:11482 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:23,043 [DEBUG] subscription-manager-gui:11482 @connection.py:557 - Making request: GET /subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/compliance
2016-01-20 05:55:23,398 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=e440a292-fe08-4fce-b7a7-3fd90787000c
2016-01-20 05:55:23,398 [DEBUG] firstboot:56810 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2016-01-20 05:55:23,399 [DEBUG] firstboot:56810 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/content_overrides.json
2016-01-20 05:55:23,399 [DEBUG] firstboot:56810 @__init__.py:85 - Searching for content of type: yum
2016-01-20 05:55:23,401 [DEBUG] firstboot:56810 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:23,401 [DEBUG] firstboot:56810 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:23,402 [DEBUG] firstboot:56810 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/release
2016-01-20 05:55:23,706 [DEBUG] subscription-manager-gui:11482 @connection.py:589 - Response: status=200, requestUuid=63ecb873-de6a-452e-8282-dbeae9e2dea6
2016-01-20 05:55:23,707 [DEBUG] subscription-manager-gui:11482 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2016-01-20 05:55:23,713 [INFO] subscription-manager-gui:11482 @cert_sorter.py:205 - Product status: valid_products=69 partial_products= expired_products= unentitled_producs= future_products= valid_until=2016-01-26 05:00:00+00:00
2016-01-20 05:55:23,713 [DEBUG] subscription-manager-gui:11482 @cert_sorter.py:207 - partial stacks: []
2016-01-20 05:55:23,716 [DEBUG] subscription-manager-gui:11482 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:23,716 [DEBUG] subscription-manager-gui:11482 @connection.py:557 - Making request: GET /subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e
2016-01-20 05:55:23,717 [DEBUG] subscription-manager-gui:11482 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/entitlement_status.json
2016-01-20 05:55:23,904 [DEBUG] firstboot:56810 @connection.py:589 - Response: status=200, requestUuid=2133d14a-b9e0-46aa-9757-3333d7838ca5
2016-01-20 05:55:23,905 [DEBUG] firstboot:56810 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/releasever.json
2016-01-20 05:55:23,973 [DEBUG] firstboot:56810 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/releasever.json
2016-01-20 05:55:23,987 [DEBUG] firstboot:56810 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2016-01-20 05:55:23,988 [INFO] firstboot:56810 @repolib.py:303 - repos updated: Repo updates

Total repo updates: 120
Updated
    <NONE>
Added (new)
    [id:rhel-6-server-rhs-client-1-source-rpms Red Hat Storage Native Client for RHEL 6 (Source RPMs)]
    [id:rhel-6-server-cf-tools-1-source-rpms Red Hat CloudForms Tools for RHEL 6 (Source RPMs)]
    [id:rhel-6-server-beta-source-rpms Red Hat Enterprise Linux 6 Server Beta (Source RPMs)]
    [id:rhel-server-dts-6-rhb-source-rpms Red Hat Developer Toolset RHB Source RPMs for Red Hat Enterprise Linux 6 Server]
    [id:rhel-6-server-ose-2-beta-node-debug-rpms Red Hat OpenShift Enterprise 2 Application Node Beta (Debug RPMs)]
    [id:rhel-6-server-optional-debug-rpms Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs)]
    [id:rhel-6-server-satellite-tools-6-beta-debug-rpms Red Hat Satellite Tools 6 Beta (for RHEL 6 Server) (Debug RPMs)]
    [id:rhel-6-server-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 6 Server) (Source RPMs)]
    [id:rhel-server-dts-6-rhb-rpms Red Hat Developer Toolset RHB RPMs for Red Hat Enterprise Linux 6 Server]
    [id:rhel-server-rhscl-6-eus-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 6 RHEL 6 Server EUS]
    [id:jb-eap-7-for-rhel-6-server-rpms JBoss Enterprise Application Platform 7 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-ose-2-beta-jbosseap-debug-rpms Red Hat OpenShift Enterprise 2 JBoss EAP add-on Beta (Debug RPMs)]
    [id:rhel-server-dts-6-rhb-debug-rpms Red Hat Developer Toolset RHB Debug RPMs for Red Hat Enterprise Linux 6 Server]
    [id:rhel-6-server-beta-rpms Red Hat Enterprise Linux 6 Server Beta (RPMs)]
    [id:rhel-6-server-sam-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) (RPMs)]
    [id:a-mq-clients-1-for-rhel-6-server-source-rpms JBoss A-MQ Clients 1 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-sam-beta-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (RPMs)]
    [id:rhel-6-server-ose-2-beta-rhc-rpms Red Hat OpenShift Enterprise 2 Client Tools Beta (RPMs)]
    [id:rhel-6-server-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 6 Server (Source RPMs)]
    [id:rhel-server-rhscl-6-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 6 Server]
    [id:rhel-6-server-supplementary-rpms Red Hat Enterprise Linux 6 Server - Supplementary (RPMs)]
    [id:rhel-6-server-rh-common-rpms Red Hat Enterprise Linux 6 Server - RH Common (RPMs)]
    [id:rhel-6-server-thirdparty-oracle-java-source-rpms Red Hat Enterprise Linux 6 Server - Oracle Java (Source RPMs)]
    [id:rhel-6-server-thirdparty-oracle-java-beta-rpms Red Hat Enterprise Linux 6 Server - Oracle Java Beta (RPMs)]
    [id:rhel-atomic-host-debug-rpms Red Hat Enterprise Linux Atomic Host (Debug RPMs)]
    [id:rhel-6-server-sam-source-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 6 Server) (RPMs)]
    [id:jws-3-for-rhel-6-server-rpms JBoss Web Server 3 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-supplementary-beta-source-rpms Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs)]
    [id:jb-eap-7-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 7 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-optional-fastrack-rpms Red Hat Enterprise Linux 6 Server - Optional Fastrack (RPMs)]
    [id:jb-eap-5-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 5 (RHEL 6 Server) (Source RPMs)]
    [id:jb-ews-1-for-rhel-6-server-rpms JBoss Enterprise Web Server 1 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-extras-source-rpms Red Hat Enterprise Linux 6 Server - Extras (Source RPMs)]
    [id:rhel-6-server-sam-beta-debug-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (Debug RPMs)]
    [id:rhel-6-server-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 6 Server (Debug RPMs)]
    [id:rhel-6-server-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 6 Server) (Source RPMs)]
    [id:rhel-server-rhscl-6-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 6 Server]
    [id:rhel-6-server-supplementary-beta-debuginfo Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs)]
    [id:rhel-6-server-optional-beta-rpms Red Hat Enterprise Linux 6 Server - Optional Beta (RPMs)]
    [id:rhel-server-rhscl-6-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 6 Server]
    [id:jb-eap-5-for-rhel-6-server-rpms JBoss Enterprise Application Platform 5 (RHEL 6 Server) (RPMs)]
    [id:rhel-atomic-host-rpms Red Hat Enterprise Linux Atomic Host (RPMs)]
    [id:rhel-6-server-v2vwin-1-source-rpms Red Hat Virt V2V Tool for RHEL 6 (Source RPMs)]
    [id:rhel-6-server-rh-common-beta-source-rpms Red Hat Enterprise Linux 6 Server - RH Common Beta (Source RPMs)]
    [id:rhel-6-server-rhev-agent-debug-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server (Debug RPMs)]
    [id:rhel-atomic-host-source-rpms Red Hat Enterprise Linux Atomic Host (Source RPMs)]
    [id:jb-eap-6.4-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 6.4 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 6 Server (RPMs)]
    [id:rhel-6-server-rhn-tools-beta-debug-rpms RHN Tools for Red Hat Enterprise Linux 6 Server Beta (Debug RPMs)]
    [id:rhel-6-server-fastrack-source-rpms Red Hat Enterprise Linux 6 Server - Fastrack (Source RPMs)]
    [id:rhel-6-server-optional-fastrack-source-rpms Red Hat Enterprise Linux 6 Server - Optional Fastrack (Source RPMs)]
    [id:rhel-6-server-rhev-agent-beta-debug-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server Beta (Debug RPMs)]
    [id:rhel-6-server-thirdparty-oracle-java-beta-source-rpms Red Hat Enterprise Linux 6 Server - Oracle Java Beta (Source RPMs)]
    [id:rhel-6-server-rpms Red Hat Enterprise Linux 6 Server (RPMs)]
    [id:rhel-server-rhscl-6-eus-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 6 RHEL 6 Server EUS]
    [id:rhel-6-server-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 6 Server) (Debug RPMs)]
    [id:jb-eap-7.0-for-rhel-6-server-debug-rpms JBoss Enterprise Application Platform 7.0 (RHEL 6 Server) (Debug RPMs)]
    [id:rhel-6-server-ose-2-beta-jbosseap-rpms Red Hat OpenShift Enterprise 2 JBoss EAP add-on Beta (RPMs)]
    [id:rhel-6-server-fastrack-rpms Red Hat Enterprise Linux 6 Server - Fastrack (RPMs)]
    [id:rhel-6-server-rhev-agent-source-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server (Source RPMs)]
    [id:rhel-6-server-cf-tools-1-debug-rpms Red Hat CloudForms Tools for RHEL 6 (Debug RPMs)]
    [id:rhel-6-server-optional-beta-debug-rpms Red Hat Enterprise Linux 6 Server - Optional Beta (Debug RPMs)]
    [id:jb-eap-7-for-rhel-6-server-debug-rpms JBoss Enterprise Application Platform 7 (RHEL 6 Server) (Debug RPMs)]
    [id:rhel-6-server-supplementary-debuginfo Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs)]
    [id:jb-eap-6-for-rhel-6-server-rpms JBoss Enterprise Application Platform 6 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-sam-debug-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) (Debug RPMs)]
    [id:rhel-6-server-rhs-client-1-rpms Red Hat Storage Native Client for RHEL 6 (RPMs)]
    [id:rhel-6-server-optional-beta-source-rpms Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs)]
    [id:rhel-6-server-ose-2-beta-rhc-debug-rpms Red Hat OpenShift Enterprise 2 Client Tools Beta (Debug RPMs)]
    [id:rhel-6-server-rh-common-beta-debug-rpms Red Hat Enterprise Linux 6 Server - RH Common Beta (Debug RPMs)]
    [id:rhel-6-server-ose-2-beta-node-source-rpms Red Hat OpenShift Enterprise 2 Application Node Beta (Source RPMs)]
    [id:rhel-6-server-rhs-client-1-debug-rpms Red Hat Storage Native Client for RHEL 6 (Debug RPMs)]
    [id:rhel-6-server-optional-source-rpms Red Hat Enterprise Linux 6 Server - Optional (Source RPMs)]
    [id:rhel-6-server-satellite-tools-6-beta-source-rpms Red Hat Satellite Tools 6 Beta (for RHEL 6 Server) (Source RPMs)]
    [id:jb-eap-6.3-for-rhel-6-server-rpms JBoss Enterprise Application Platform 6.3 (RHEL 6 Server) (RPMs)]
    [id:a-mq-clients-1-for-rhel-6-server-debug-rpms JBoss A-MQ Clients 1 (RHEL 6 Server) (Debug RPMs)]
    [id:rhel-6-server-ose-2-beta-infra-debug-rpms Red Hat OpenShift Enterprise 2 Infrastructure Beta (Debug RPMs)]
    [id:rhel-6-server-ose-2-beta-rhc-source-rpms Red Hat OpenShift Enterprise 2 Client Tools Beta (Source RPMs)]
    [id:rhel-6-server-beta-debug-rpms Red Hat Enterprise Linux 6 Server Beta (Debug RPMs)]
    [id:rhel-6-server-rh-common-beta-rpms Red Hat Enterprise Linux 6 Server - RH Common Beta (RPMs)]
    [id:jb-eap-6.4-for-rhel-6-server-rpms JBoss Enterprise Application Platform 6.4 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-cf-tools-1-rpms Red Hat CloudForms Tools for RHEL 6 (RPMs)]
    [id:rhel-6-server-sam-beta-source-rpms Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (Source RPMs)]
    [id:jb-eap-6.3-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 6.3 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-rh-common-source-rpms Red Hat Enterprise Linux 6 Server - RH Common (Source RPMs)]
    [id:rhel-6-server-rhn-tools-beta-source-rpms RHN Tools for Red Hat Enterprise Linux 6 Server Beta (Source RPMs)]
    [id:rhel-6-server-source-rpms Red Hat Enterprise Linux 6 Server (Source RPMs)]
    [id:rhel-6-server-ose-2-beta-infra-source-rpms Red Hat OpenShift Enterprise 2 Infrastructure Beta (Source RPMs)]
    [id:jb-eap-7.0-for-rhel-6-server-rpms JBoss Enterprise Application Platform 7.0 (RHEL 6 Server) (RPMs)]
    [id:jws-3-for-rhel-6-server-source-rpms JBoss Web Server 3 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-debug-rpms Red Hat Enterprise Linux 6 Server (Debug RPMs)]
    [id:rhel-6-server-rh-common-debug-rpms Red Hat Enterprise Linux 6 Server - RH Common (Debug RPMs)]
    [id:rhel-6-server-optional-fastrack-debug-rpms Red Hat Enterprise Linux 6 Server - Optional Fastrack (Debug RPMs)]
    [id:rhel-6-server-extras-debuginfo Red Hat Enterprise Linux 6 Server - Extras (Debug RPMs)]
    [id:rhel-6-server-v2vwin-1-rpms Red Hat Virt V2V Tool for RHEL 6 (RPMs)]
    [id:rhel-6-server-ose-2-beta-jbosseap-source-rpms Red Hat OpenShift Enterprise 2 JBoss EAP add-on Beta (Source RPMs)]
    [id:rhel-6-server-supplementary-beta-rpms Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs)]
    [id:rhel-6-server-extras-rpms Red Hat Enterprise Linux 6 Server - Extras (RPMs)]
    [id:rhel-6-server-supplementary-source-rpms Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs)]
    [id:rhel-6-server-rhev-agent-beta-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server Beta (RPMs)]
    [id:rhel-6-server-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 6 Server) (Debug RPMs)]
    [id:jb-ews-2-for-rhel-6-server-source-rpms JBoss Enterprise Web Server 2 (RHEL 6 Server) (Source RPMs)]
    [id:a-mq-clients-1-for-rhel-6-server-rpms JBoss A-MQ Clients 1 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-fastrack-debug-rpms Red Hat Enterprise Linux 6 Server - Fastrack (Debug RPMs)]
    [id:jb-ews-1-for-rhel-6-server-source-rpms JBoss Enterprise Web Server 1 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-rhev-agent-beta-source-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server Beta (Source RPMs)]
    [id:rhel-6-server-optional-rpms Red Hat Enterprise Linux 6 Server - Optional (RPMs)]
    [id:rhel-6-server-thirdparty-oracle-java-rpms Red Hat Enterprise Linux 6 Server - Oracle Java (RPMs)]
    [id:jb-ews-2-for-rhel-6-server-rpms JBoss Enterprise Web Server 2 (RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 6 Server) (RPMs)]
    [id:rhel-6-server-ose-2-beta-node-rpms Red Hat OpenShift Enterprise 2 Application Node Beta (RPMs)]
    [id:jb-eap-7.0-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 7.0 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-ose-2-beta-infra-rpms Red Hat OpenShift Enterprise 2 Infrastructure Beta (RPMs)]
    [id:rhel-6-server-rhn-tools-beta-rpms RHN Tools for Red Hat Enterprise Linux 6 Server Beta (RPMs)]
    [id:rhel-6-server-v2vwin-1-debug-rpms Red Hat Virt V2V Tool for RHEL 6 (Debug RPMs)]
    [id:jb-eap-6-for-rhel-6-server-source-rpms JBoss Enterprise Application Platform 6 (RHEL 6 Server) (Source RPMs)]
    [id:rhel-6-server-rhev-agent-rpms Red Hat Enterprise Virtualization Agents for RHEL 6 Server (RPMs)]
    [id:rhel-server-rhscl-6-eus-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 6 RHEL 6 Server EUS]
Deleted
    <NONE>
2016-01-20 05:55:23,992 [DEBUG] firstboot:56810 @plugins.py:769 - Running update_content_hook in container_content.ContainerContentPlugin
2016-01-20 05:55:23,992 [DEBUG] firstboot:56810 @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x7f3c688b8d90>
2016-01-20 05:55:23,992 [INFO] firstboot:56810 @container_content.py:43 - Updating container content.
2016-01-20 05:55:23,993 [INFO] firstboot:56810 @container_content.py:45 - registry hostnames = registry.access.redhat.com,cdn.redhat.com,access.redhat.com
2016-01-20 05:55:23,993 [DEBUG] firstboot:56810 @__init__.py:85 - Searching for content of type: containerimage
2016-01-20 05:55:23,993 [DEBUG] firstboot:56810 @container.py:53 - Got content_sets: []
2016-01-20 05:55:23,993 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/registry.access.redhat.com
2016-01-20 05:55:23,994 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/cdn.redhat.com
2016-01-20 05:55:23,994 [DEBUG] firstboot:56810 @container.py:138 - Syncing container certificates to /etc/docker/certs.d/access.redhat.com
2016-01-20 05:55:23,995 [DEBUG] firstboot:56810 @entbranding.py:47 - BrandInstaller ent_certs:  []
2016-01-20 05:55:23,995 [DEBUG] firstboot:56810 @certdirectory.py:216 - Installed product IDs: ['69']
2016-01-20 05:55:24,025 [DEBUG] firstboot:56810 @rhelentbranding.py:119 - Installed branded product: <rhsm.certificate2.Product object at 0x7f3c6853f750>
2016-01-20 05:55:24,025 [DEBUG] firstboot:56810 @rhelentbranding.py:122 - 1 entitlement certs with brand info found
2016-01-20 05:55:24,025 [DEBUG] firstboot:56810 @entbranding.py:61 - Current branded name info, if any: OpenShift
2016-01-20 05:55:24,025 [DEBUG] firstboot:56810 @entbranding.py:62 - Fresh ent cert has branded product info: OpenShift
2016-01-20 05:55:24,025 [DEBUG] firstboot:56810 @entbranding.py:67 - Product branding info does not need to be updated
2016-01-20 05:55:24,355 [DEBUG] subscription-manager-gui:11482 @connection.py:589 - Response: status=200, requestUuid=f57bb609-58f3-4b45-8a80-17d1d85eaac8
2016-01-20 05:55:24,357 [DEBUG] subscription-manager-gui:11482 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2016-01-20 05:55:24,364 [DEBUG] subscription-manager-gui:11482 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/product_status.json
2016-01-20 05:55:24,470 [INFO] rhsmd:57494 @rhsmd:235 - rhsmd started
2016-01-20 05:55:24,472 [DEBUG] rhsmd:57494 @rhsmd:187 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2016-01-20 05:55:24,499 [DEBUG] rhsmd:57494 @identity.py:131 - Loading consumer info from identity certificates.
2016-01-20 05:55:24,503 [INFO] rhsmd:57494 @connection.py:815 - Connection built: http_proxy=auto-services.usersys.redhat.com:3128 host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-01-20 05:55:24,503 [DEBUG] rhsmd:57494 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-01-20 05:55:24,503 [DEBUG] rhsmd:57494 @cache.py:171 - No changes.
2016-01-20 05:55:24,503 [DEBUG] rhsmd:57494 @certdirectory.py:216 - Installed product IDs: ['69']
2016-01-20 05:55:24,504 [DEBUG] rhsmd:57494 @connection.py:509 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-ca.pem, redhat-entitlement-authority.pem
2016-01-20 05:55:24,505 [DEBUG] rhsmd:57494 @connection.py:542 - Using proxy: auto-services.usersys.redhat.com:3128
2016-01-20 05:55:24,505 [DEBUG] rhsmd:57494 @connection.py:557 - Making request: GET https://subscription.rhn.stage.redhat.com:443/subscription/consumers/a4435b04-98d9-49f1-87f4-467a3077f79e/compliance
2016-01-20 05:55:25,019 [DEBUG] rhsmd:57494 @connection.py:589 - Response: status=200, requestUuid=2ab90763-2583-4785-9d95-96b52b58706d
2016-01-20 05:55:25,021 [DEBUG] rhsmd:57494 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2016-01-20 05:55:25,027 [INFO] rhsmd:57494 @cert_sorter.py:205 - Product status: valid_products=69 partial_products= expired_products= unentitled_producs= future_products= valid_until=2016-01-26 05:00:00+00:00
2016-01-20 05:55:25,027 [DEBUG] rhsmd:57494 @cert_sorter.py:207 - partial stacks: []
2016-01-20 05:55:25,027 [DEBUG] rhsmd:57494 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-01-20 05:55:25,028 [DEBUG] rhsmd:57494 @cache.py:171 - No changes.
2016-01-20 05:55:25,028 [DEBUG] rhsmd:57494 @identity.py:131 - Loading consumer info from identity certificates.
2016-01-20 05:55:25,029 [DEBUG] rhsmd:57494 @rhsmd:155 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
2016-01-20 05:55:25,029 [DEBUG] rhsmd:57494 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/rhsm_icon.json
2016-01-20 05:55:25,029 [DEBUG] rhsmd:57494 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/entitlement_status.json
Comment 10 errata-xmlrpc 2016-05-10 16:38:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0797.html

Note You need to log in before you can comment on or make changes to this bug.